## com.imcode.imcms.api
Class Document.Comparator

    java.lang.Object
      com.imcode.util.ChainableReversibleNullComparator
          com.imcode.imcms.api.Document.Comparator

All Implemented Interfaces:
  java.io.Serializable, java.util.Comparator

Direct Known Subclasses:
  DateTextFieldTextDocumentComparator

Enclosing class:
  Document

    public abstract static class Document.Comparator

extends com.imcode.util.ChainableReversibleNullComparator

See Also:
  Serialized Form

Field Summary
`static Document.Comparator` `ARCHIVED_DATETIME`
`static Document.Comparator` `CREATED_DATETIME`
`static Document.Comparator` `HEADLINE`
`static Document.Comparator` `ID`
`static Document.Comparator` `MODIFIED_DATETIME`
`static Document.Comparator` `PUBLICATION_END_DATETIME`
`static Document.Comparator` `PUBLICATION_START_DATETIME`

Constructor Summary
`Document.Comparator()`

Method Summary
`int` `compare(java.lang.Object o1, java.lang.Object o2)`
`protected abstract int` `compareDocuments(Document d1, Document d2)`

Methods inherited from class com.imcode.util.ChainableReversibleNullComparator
`chain, nullsFirst, nullsLast, reversed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Field Detail

### ID

    public static final Document.Comparator ID

### HEADLINE

    public static final Document.Comparator HEADLINE

### CREATED_DATETIME

    public static final Document.Comparator CREATED_DATETIME

### MODIFIED_DATETIME

    public static final Document.Comparator MODIFIED_DATETIME

### PUBLICATION_START_DATETIME

    public static final Document.Comparator PUBLICATION_START_DATETIME

### PUBLICATION_END_DATETIME

    public static final Document.Comparator PUBLICATION_END_DATETIME

### ARCHIVED_DATETIME

    public static final Document.Comparator ARCHIVED_DATETIME

Constructor Detail

### Document.Comparator

    public Document.Comparator()

Method Detail

### compare

    public int compare(java.lang.Object o1,
                       java.lang.Object o2)

### compareDocuments

    protected abstract int compareDocuments(Document d1,
                                            Document d2)